Draft Move/en: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 14: Line 14:
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


==Opciones==
==Options==


* Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el siguiente punto sobre el eje indicado.
* Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el siguiente punto sobre el eje indicado.

Revision as of 15:21, 13 February 2014

Draft_Move

Menu location
Draft -> Move
Workbenches
Draft, Arch
Default shortcut
M V
Introduced in version
-
See also
None

Description

The Move tool moves or copies the selected objects from one point to another on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to move or copy
  2. Press the Draft Move button, or press M then V keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Options

  • Presiona X, Y o Z después de un punto para restringir el siguiente punto sobre el eje indicado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si está activado el modo relativas, las coordenadas del siguiente punto son relativas al punto anterior. En otro caso, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta mover se reiniciará después de terminar, permitiendo mover o copiar los objetos otra vez sin volver a pulsar el botón de Mover.
  • Presionando ALT o C o seleccionando el botón Copy se creará una copia de los objetos, en lugar de moverlos. Si mantienes la tecla ALT pulsada después de designar el segundo punto, serás capaz de ubicar más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación con el último.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

 move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

 import FreeCAD,Draft
 Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))